Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005DebugData Class Reference

`#include <GT2005DebugData.h>`

List of all members.

## Public Member Functions
| GT2005DebugData ()
| ~GT2005DebugData ()
## Public Attributes
int | gt2005Status
long | avgAccelerationX
long | avgAccelerationY
long | avgAccelerationZ
long | diffAccelerationX
long | diffAccelerationY
long | diffAccelerationZ

## Constructor & Destructor Documentation

GT2005DebugData::GT2005DebugData | ( |  | ) |

| Definition at line 11 of file GT2005DebugData.cpp. References avgAccelerationX, avgAccelerationY, avgAccelerationZ, diffAccelerationX, diffAccelerationY, diffAccelerationZ, and gt2005Status.

GT2005DebugData::~GT2005DebugData | ( |  | ) |

| Definition at line 22 of file GT2005DebugData.cpp.

## Member Data Documentation

int GT2005DebugData::gt2005Status

| Definition at line 29 of file GT2005DebugData.h. Referenced by GT2005WalkingEngine::executeParameterized(), GT2005DebugData(), GT2005WalkingEngine::GT2005WalkingEngine(), operator<<(), and operator>>().

long GT2005DebugData::avgAccelerationX

| Definition at line 31 of file GT2005DebugData.h. Referenced by GT2005DebugData(), operator<<(), and operator>>().

long GT2005DebugData::avgAccelerationY

| Definition at line 32 of file GT2005DebugData.h. Referenced by GT2005DebugData(), operator<<(), and operator>>().

long GT2005DebugData::avgAccelerationZ

| Definition at line 33 of file GT2005DebugData.h. Referenced by GT2005DebugData(), operator<<(), and operator>>().

long GT2005DebugData::diffAccelerationX

| Definition at line 34 of file GT2005DebugData.h. Referenced by GT2005DebugData(), operator<<(), and operator>>().

long GT2005DebugData::diffAccelerationY

| Definition at line 35 of file GT2005DebugData.h. Referenced by GT2005DebugData(), operator<<(), and operator>>().

long GT2005DebugData::diffAccelerationZ

| Definition at line 36 of file GT2005DebugData.h. Referenced by GT2005DebugData(), operator<<(), and operator>>().

The documentation for this class was generated from the following files:

- Modules/WalkingEngine/GT2005DebugData.h
- Modules/WalkingEngine/GT2005DebugData.cpp